CRRCSIM(1)

NAME
crrcsim - a model-airplane flight simulation program

SYNOPSIS
crrcsim [-fvhV] [-l landscape-file] [-c cdepth] [-x xres] [-y yres]
[-d winddir] [-w windvel] [-g config-file] [-s on|off] [-u on|off]
[-m AILERON|RUDDER] [-b nr:buttonfunc] [-i method] airplane-file

DESCRIPTION
crrcsim is a model-airplane flight simulation program for Linux with ports to other platforms. Using crrcsim you can learn how to fly model aircraft, test new aircraft designs, and improve your skills by practicing in the relative safety of your PC.

OPTIONS

-b nr:buttonfunc
    Bind a joystick button to a function. nr is the number of the joystick button. For example, -b 2:INCTHROTTLE will increase the current throttle setting by 10% each time button #2 is pressed. See section BUTTON FUNCTIONS for a listing of all possible functions.

-c cdepth
    Color-depth in bits-per-pixel

-d winddir
    Wind direction in degrees.

-f  Start in fullscreen mode.

-g config-file
    Specify a config file.

-h  Display help and exit.

-i type
    Select input method.

-l landscape-file
    Load the landscape defined by landscape-file

-m AILERON|RUDDER
    Specify which function is controlled by horizontal mouse movement (if the input method is set to MOUSE).

-s on|off
    Enable/disable sound (default: on).

-u on|off
    Enable/disable graphical user interface (default: on).

-v  Enable on-screen display of some values. This option may be specified up to three times.

-V  Only print version information and exit.

-w windvel
    Wind velocity in ft/s.

-x xres
    Horizontal resolution in pixels.

-y yres
    Vertical resolution in pixels.

BUTTON FUNCTIONS

PAUSE
    Pause the simulation.

RESUME
    Resume the simulation from pause mode.

RESET
    Restart the simulation with the current configuration.

ZOOMIN
    Increase the zoom factor of the current view.

ZOOMOUT
    Decrease the zoom factor of the current view.

INCTHROTTLE
    Increase the throttle by 10%.

DECTHROTTLE
    Decrease the throttle by 10%.

INPUT METHODS

KEYBOARD
    The airplane is controlled by the keyboard.

MOUSE
    Elevator and either aileron or rudder (depending on the -m option) are controlled by the mouse. Throttle can be adjusted by using the keyboard.

JOYSTICK
    The airplane is controlled by the joystick. Control functions can be mapped to the joystick axes with the -b option.

RCTRAN
    Reads the PPM signal from an r/c transmitter using the parallel port and the rctran kernel module.

SERPIC
    For PPM interfaces connected to a serial port (aka 'FMS interface').

SERIAL2
    A different serial port interface.

PARALLEL
    Reads the PPM signal from an r/c transmitter using the parallel port.

AUDIO
    Reads the PPM signal from an r/c transmitter using a sound card.

MNAV
    Interface to the MNAV autopilot system.

ZHENHUA
    For Walkera transmitters connected directly to the serial port.

FILES
~/.crrcsim/crrcsim.xml
    Default configuration file. Overridden by the -g option.

HISTORY
crrcsim was originally written by Jan Kansky <kansky@ll.mit.edu>. You may contact the current maintainers on the crrcsim-devel mailing list at <crrcsim-devel@lists.berlios.de>.